diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index ace1192..689c2ad 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -1200,25 +1200,93 @@ Vol. 115, No. 2-3, December 11, 1998, pages 510-535.
 Abramowitz, Milton and Stegun, Irene A.
 ``Handbook of Mathematical Functions'' (1964) Dover Publications, NY
 ISBN 0-486-61272-4
+\bibitem[AS68]{AS68}
+Abramowitz M and Stegun I A,
+``Handbook of Mathematical Functions'' 
+Dover Publications. (1968) 
 \bibitem[Alt05]{Alt05}
 Altmann, Simon L. Rotations, Quaternions, and Double Groups
 Dover Publications, Inc. 2005 ISBN 0-486-44518-6
+\bibitem[Ames77]{Ames77}
+Ames W F, 
+``Nonlinear Partial Differential Equations in Engineering'' 
+Academic Press (2nd Edition). (1977)
+\bibitem[Amos86]{Amos86}
+Amos D E, 
+``Algorithm 644: A Portable Package for Bessel Functions of a Complex 
+Argument and Nonnegative Order'' 
+ACM Trans. Math. Softw. 12 265--273. (1986)
 \bibitem[And00]{And00}
 Anderson, Edward
 ``Discontinuous Plane Rotations and the Symmetric Eigenvalue Problem''
 LAPACK Working Note 150, University of Tennessee, UT-CS-00-454,
 December 4, 2000.
+\bibitem[ACH82]{ACH82}
+Anthony G T, Cox M G and Hayes J G,
+``DASL - Data Approximation Subroutine Library'' 
+National Physical Laboratory. (1982) 
 \bibitem[ALM99]{ALM99}
 P. Aubry, D. Lazard, and M. Moreno Maza
 ``On the Theories of Triangular Sets''
 Journal of Symbolic Computation 1999 Vol 28 pp105-124
+\bibitem[Bai66]{Bai66}
+Bailey P B, 
+``Sturm-Liouville Eigenvalues via a Phase Function'' 
+SIAM J. Appl. Math . 14 242--249. (1966)
+\bibitem[BGM96]{BGM96}
+George A. Baker and Peter Graves-Morris
+``Pade Approximants''
+Cambridge University Press, March 1996 ISBN 9870521450072
 \bibitem[Ba10]{Ba10}
 Baker, Martin ``3D World Simulation''
 \verb|www.euclideanspace.com|
+\bibitem[BK68]{BK68}
+Banks D O and Kurowski I, 
+``Computation of Eigenvalues of Singular Sturm-Liouville Systems'' 
+Math. Computing. 22 304--310. (1968)
+\bibitem[Bard74]{Bard74}
+Bard Y, ``Nonlinear Parameter Estimation'' Academic Press. 1974
+\bibitem[BR73]{BR73}
+Barrodale I and Roberts F D K,
+``An Improved Algorithm for Discrete $ll_1$ Linear Approximation'' 
+SIAM J. Numer. Anal. 10 839--848. (1973) 
+\bibitem[BR74]{BR74}
+Barrodale I and Roberts F D K,
+``Solution of an Overdetermined System of Equations in the $ll_1-norm$.'' 
+Comm.  ACM. 17, 6 319--320. (1974) 
+\bibitem[Bea92]{Bea92}
+Bernard Beauzamy, ``Products of polynomials and a priori estimates for
+coefficients in polynomial decompositions: a sharp result''
+J. Symbolic Computation (1992) 13, 463-472
+\bibitem[Bea93]{Bea93}
+Bernard Beauzamy, Vilmar Trevisan and Paul S. Wang, 
+``Polynomial Factorization: Sharp Bounds, Efficient Algorithms''
+J. Symbolic Computation (1993) 15, 393-413
 \bibitem[Ber95]{Ber95}
 Laurent Bertrand. Computing a hyperelliptic integral using
 arithmetic in the jacobian of the curve. {\sl Applicable Algebra in
 Engineering, Communication and Computing}, 6:275-298, 1995
+\bibitem[BBG87]{BBG87}
+Berzins M, Brankin R W and Gladwell I,
+``Design of the Stiff Integrators in the NAG Library'' 
+Technical Report. TR14/87 NAG. (1987) 
+\bibitem[Ber90]{Ber90}
+Berzins M, 
+``Developments in the NAG Library Software for Parabolic Equations''
+Scientific Software Systems. (ed J C Mason and M G Cox) 
+Chapman and Hall. 59--72.  (1990)
+\bibitem[BR62]{BR62}
+Birkhoff G and Rota G C, 
+``Ordinary Differential Equations'' 
+Ginn \& Co., Boston and New York. (1962)
+\bibitem[Boyd93a]{Boyd93a}
+David W. Boyd, ``Bounds for the Height of a Factor of a Polynomial in
+Terms of Bombieri's Norms: I. The Largest Factor''
+J. Symbolic Computation (1993) 16, 115-130
+\bibitem[Boyd93b]{Boyd93b}
+David W. Boyd, ``Bounds for the Height of a Factor of a Polynomial in
+Terms of Bombieri's Norms: II. The Smallest Factor''
+J. Symbolic Computation (1993) 16, 131-145
 \bibitem[BBM02a]{BBM02a}
 K. Braman, R. Byers and R. Mathias, The Multi-Shift QR
 Algorithm Part I: Maintaining Well Focused Shifts, and Level 3
@@ -1228,6 +1296,23 @@ Performance, SIAM Journal of Matrix Analysis, volume 23, pages
 K. Braman, R. Byers and R. Mathias, The Multi-Shift QR
 Algorithm Part II: Aggressive Early Deflation, SIAM Journal
 of Matrix Analysis, volume 23, pages 948--973, 2002.
+\bibitem[Bre75]{Bre75}
+R. P. Brent, ``Multiple-Precision Zero-Finding Methods and the Complexity 
+of Elementary Function Evaluation, Analytic Computational Complexity'' 
+J. F. Traub, Ed., Academic Press, New York 1975, 151-176 
+\bibitem[BK78]{BK78}
+R. P. Brent and H. T. Kung, 
+``Fast Algorithms for Manipulating Formal Power Series'' 
+Journal of the Association for Computing Machinery, 
+Vol. 25, No. 4, October 1978, 581-595
+\bibitem[Bri73]{Bri73}
+Brigham E O, ``The Fast Fourier Transform'' Prentice-Hall. (1973)
+\bibitem[Bri69]{Bri69}
+John Brillhart, ``On the Euler and Bernoulli polynomials''
+J. Reine Angew. Math., v. 234, (1969), pp. 45-64
+\bibitem[Bri90]{Bri90}
+John Brillhart, ``Note on Irreducibility Testing''
+Mathematics of Computation, vol. 35, num. 35, Oct. 1980, 1379-1381
 \bibitem[Bro88]{Bro88}
 Bronstein, Manual ``The Transcendental Risch Differential Equation''
 J. Symbolic Computation (1990) 9, pp49-60 Feb 1988
@@ -1258,12 +1343,161 @@ Springer, Heidelberg, 1997 ISBN 3-540-21493-3
 \bibitem[Bro98]{Bro98}
 M. Bronstein. ``The lazy hermite reduction'' Rapport de
 Recherche RR-3562, INRIA, 1998
+\bibitem[Car65]{Car65}
+Carlson B C, 
+``On Computing Elliptic Integrals and Functions'' 
+J Math Phys. 44 36--51. (1965)
+\bibitem[Car77a]{Car77a}
+Carlson B C, 
+``Elliptic Integrals of the First Kind'' SIAM J Math Anal. 8 231--242. (1977)
+\bibitem[Car77b]{Car77b}
+Carlson B C, 
+``Special Functions of Applied Mathematics'' Academic Press. (1977)
+\bibitem[Car78]{Car78}
+Carlson B C, 
+``Computing Elliptic Integrals by Duplication.'' 
+(Preprint) Department of Physics, Iowa State University. (1978)
+\bibitem[Car88]{Car88}
+Carlson B C, 
+``A Table of Elliptic Integrals of the Third Kind'' 
+Math. Comput. 51 267--280. (1988)
+\bibitem[Cau1829]{Cau1829}
+Augustin-Lux Cauchy, ``Exercices de Math\'ematiques Quatri\`eme Ann\'ee.
+De Bure Fr\`eres'' Paris 1829 (reprinted Oeuvres, II S\'erie, Tome IX,
+Gauthier-Villars, Paris, 1891).
+\bibitem[CSDDN79]{CSDDN79}
+Childs B, Scott M, Daniel J W, Denman E and Nelson P (eds) (1979) 
+``Codes for Boundary-value Problems in Ordinary Differential Equations'' 
+Lecture Notes in Computer Science. 76 (1979) Springer-Verlag
+\bibitem[Cla89]{Cla89}
+M. Clausen, A. Fortenbacher, 
+``Efficient Solution of Linear Diophantine Equations'' 
+JSC (1989) 8, 201-216
+\bibitem[Cle55]{Cle55}
+Clenshaw C W,
+``A Note on the Summation of Chebyshev Series'' 
+Math. Tables Aids Comput. 9 118--120. (1955) 
+\bibitem[Cle60]{Cle60}
+Clenshaw C W, ``Curve Fitting with a Digital Computer''
+Comput. J. 2 170--173. (1960)
+\bibitem[Cle62]{Cle62}
+Clenshaw C W, 
+``Mathematical Tables. Chebyshev Series for Mathematical Functions'' 
+HMSO. (1962)
+\bibitem[CR84]{CR84}
+Cline A K and Renka R L,
+``A Storage-efficient Method for Construction of a Thiessen Triangulation'' 
+Rocky Mountain J. Math. 14 119--139. (1984) 
+\bibitem[CCNPW87]{CCNPW87}
+J. Conway, R. Curtis, S. Norton, R. Parker, R. Wilson
+``Atlas of Finite Groups''
+Oxford, Clarendon Press, 1987
 \bibitem[CS03]{CS03}
 Conway, John H. and Smith, Derek, A., ``On Quaternions and Octonions'' 
 A.K Peters, Natick, MA. (2003) ISBN 1-56881-134-9
+\bibitem[Cox72]{Cox72}
+Cox M G, ``The Numerical Evaluation of B-splines'' 
+J. Inst. Math. Appl. 10 134--149. (1972)
+\bibitem[Cox74a]{Cox74a}
+Cox M G,
+``A Data-fitting Package for the Non-specialist User'' 
+Software for Numerical Mathematics. (ed D J Evans) Academic Press. (1974) 
+\bibitem[Cox74b]{Cox74b}
+Cox M G,
+``Numerical methods for the interpolation and approximation of data 
+by spline functions'' 
+PhD Thesis. City University, London. (1975) 
+\bibitem[Cox75]{Cox75}
+Cox M G,
+``An Algorithm for Spline Interpolation'' 
+J. Inst. Math. Appl. 15 95--108. (1975) 
+\bibitem[Cox77]{Cox77}
+Cox M G, 
+``A Survey of Numerical Methods for Data and Function Approximation'' 
+The State of the Art in Numerical Analysis. (ed D A H Jacobs) 
+Academic Press. 627--668. (1977)
+\bibitem[Cox78]{Cox78}
+Cox M G,
+``The Numerical Evaluation of a Spline from its B-spline Representation'' 
+J. Inst. Math. Appl. 21 135--143. (1978) 
+\bibitem[CH73]{CH73}
+Cox M G and Hayes J G (1973) 
+``Curve fitting: a guide and suite of algorithms for the non-specialist user'' 
+Report NAC26. National Physical Laboratory.
+\bibitem[CPR74]{CPR74}
+Curtis A R, Powell M J D and Reid J K,
+``On the Estimation of Sparse Jacobian Matrices'' 
+J. Inst. Maths Applics. 13 117--119. (1974) 
+\bibitem[DB74]{DB74}
+Dahlquist G and Bjork A, ``Numerical Methods'' Prentice- Hall. (1974)
 \bibitem[DA98]{DA98}
 Dalmas, Stephane and Arsac, Olivier ``The INRIA OpenMath Library''
 Projet SAFIR, INRIA Sophia Antipolis Nov 25, 1998
+\bibitem[Dan63]{Dan63}
+Dantzig G B,
+``Linear Programming and Extensions'' Princeton University Press. (1963) 
+\bibitem[Dav]{Dav}
+James Davenport, ``On Brillhart Irreducibility.'' To appear.
+\bibitem[REF-Dav93]{Ref-Dav93}
+J. H. Davenport ``Primality testing revisited'' Technical Report TR2/93
+(ATR/6)(NP2556) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA
+and Oxford, UK, August 1993
+\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[DR75]{DR75}
+Davis P J and Rabinowitz P,
+``Methods of Numerical Integration'' 
+Academic Press. (1975) 
+\bibitem[DR67]{DR67}
+Davis P J and Rabinowitz P, (1967) 
+``Numerical Integration''
+Blaisdell Publishing Company. 33--52. (1967) 
+\bibitem[DeB72]{DeB72}
+De Boor C,
+``On Calculating with B-splines'' 
+J. Approx. Theory. 6 50--62. (1972) 
+\bibitem[DeD78]{DeD78}
+De Doncker E,
+``An Adaptive Extrapolation Algorithm for Automatic Integration'' 
+Signum Newsletter. 13 (2) 12--18. (1978) 
+\bibitem[Dem89]{Dem89}
+Demmel J W, 
+``On Floating-point Errors in Cholesky''
+LAPACK Working Note No. 14. University of Tennessee, Knoxville. 1989
+\bibitem[DM77]{DM77}
+Dennis J E Jr and More J J 
+``Quasi-Newton Methods, Motivation and Theory'' 
+SIAM Review. 19 46--89. 1977
+\bibitem[DS81]{DS81}
+Dennis J E Jr and Schnabel R B 
+``A New Derivation of Symmetric Positive-Definite Secant Updates'' 
+Nonlinear Programming 4. (ed O L Mangasarian, R R Meyer and S M. Robinson) 
+Academic Press. 167--199. (1981) 
+\bibitem[DS83]{DS83}
+Dennis J E Jr and Schnabel R B 
+``Numerical Methods for Unconstrained Optimixation and Nonlinear Equations''
+Prentice-Hall.(1983) 
+\bibitem[Die75]{Die75}
+Dierckx P,
+``An Algorithm for Smoothing, Differentiating and Integration of 
+Experimental Data Using Spline Functions''
+J. Comput. Appl. Math. 1 165--184. (1975) 
+\bibitem[Die81]{Die81}
+Dierckx P,
+``An Improved Algorithm for Curve Fitting with Spline Functions'' 
+Report TW54. Dept. of Computer Science, Katholieke Universiteit Leuven. 1981
+\bibitem[Die82]{Die82}
+Dierckx P,
+``A Fast Algorithm for Smoothing Data on a Rectangular Grid while using 
+Spline Functions'' 
+SIAM J. Numer. Anal. 19 1286--1304. (1982) 
+\bibitem[DMBS79]{DMBS79}
+Dongarra J J, Moler C B, Bunch J R and Stewart G W,
+``LINPACK Users' Guide'' 
+SIAM, Philadelphia. (1979)
+\bibitem[DCHH85]{DCHH85}
+Dongarra J J, Du Croz J J, Hammarling S and Hanson R J
+``A Proposal for an Extended set of Fortran Basic Linear Algebra Subprograms''
+SIGNUM Newsletter. 20 (1) 2--18. (1985) 
 \bibitem[REF-DON88]{REF-DON88}
 Jack J. Dongarra, Jeremy Du Croz, Sven Hammarling, Richard J. Hanson
 ``An Extended Set of FORTRAN Basic Linear Algebra Subroutines''
@@ -1286,6 +1520,14 @@ Jack J. Dongarra, Jeremy Du Croz, Sven Hammarling, Iain S. Duff
 Model Implementation and Test Programs''
 ACM Transactions on Mathematical Software, Vol 16, No 1, March 1990,
 pp 18-28
+\bibitem[Duc00]{Duc00}
+Lionel Ducos ``Optimizations of the subresultant algorithm''
+Journal of Pure and Applied Algebra V145 No 2 Jan 2000 pp149-163
+\bibitem[Duff77]{Duff77}
+Duff I S,
+``MA28 -- a set of Fortran subroutines for sparse unsymmetric linear 
+equations'' 
+A.E.R.E. Report R.8730. HMSO. (1977) 
 \bibitem[Fl01]{Fl01}
 Fletcher, John P. ``Symbolic processing of Clifford Numbers in C++'', 
 Paper 25, AGACSE 2001.
@@ -1295,20 +1537,150 @@ calculated using the matrix representation.'' Chemical Engineering and
 Applied Chemistry, School of Engineering and Applied Science, Aston
 University, Aston Triangle, Birmingham B4 7 ET, U. K. 
 \verb|www.ceac.aston.ac.uk/research/staff/jpf/papers/paper24/index.php|
+\bibitem[Fle81]{Fle81}
+Fletcher R, 
+``Practical Methods of Optimization'' 
+Vol 2. Constrained Optimization. Wiley. (1981) 
 \bibitem[Flo63]{Flo63}
 Floyd, R. W.``Semantic Analysis and Operator Precedence''
 JACM 10, 3, 316-333 (1963)
-\bibitem[GM74]{GM74}
-Gentleman W. M. and Marovich S. B. (1974) More on algorithms 
-that reveal properties of floating point arithmetic units. 
-Comms. of the ACM, 17, 276-277. 
+\bibitem[For57]{For57}
+Forsythe G E,
+``Generation and use of orthogonal polynomials for data fitting 
+with a digital computer'' 
+J. Soc. Indust. Appl. Math. 5 74--88. (1957) 
+\bibitem[Fox68]{Fox68}
+Fox L and Parker I B, 
+``Chebyshev Polynomials in Numerical Analysis'' 
+Oxford University Press. (1968)
+\bibitem[FN80]{FN80}
+Franke R and Nielson G, (1980) 
+``Smooth Interpolation of Large Sets of Scattered Data'' 
+Internat. J. Num. Methods Engrg. 15 1691--1704. (1980) 
+\bibitem[Fri82]{Fri82}
+Fritsch F N, 
+``PCHIP Final Specifications'' 
+Report UCID-30194. Lawrence Livermore National Laboratory. (1982) 
+\bibitem[FB84]{FB84}
+Fritsch F N and Butland J,
+``A Method for Constructing Local Monotone Piecewise Cubic Interpolants'' 
+SIAM J. Sci. Statist. Comput. 5 300--304. (1984) 
+\bibitem[Fro65]{Fro65}
+Froberg C E
+``Introduction to Numerical Analysis''
+Addison-Wesley. 181--187. (1965) 
 \bibitem[Ga95]{Ga95}
 Garcia, A. and Stichtenoth, H.
 ``A tower of Artin-Schreier extensions of function fields attaining the 
 Drinfeld-Vladut bound'' Invent. Math., vol. 121, 1995, pp. 211--222.
+\bibitem[Gat90]{Gat90}
+Joachim von zur Gathen, 
+``Functional Decomposition Polynomials: the Tame Case'' 
+Journal of Symbolic Computation (1990) 9, 281-299
+\bibitem[Gau79a]{Gau79a}
+Gautschi W, 
+``A Computational Procedure for Incomplete Gamma Functions'' 
+ACM Trans. Math. Softw. 5 466--481. (1979)
+\bibitem[Gau79b]{Gau79b}
+Gautschi W, 
+``Algorithm 542: Incomplete Gamma Functions''
+ACM Trans. Math. Softw. 5 482--489.  (1979)
+\bibitem[Gen69]{Gen69}
+Gentlemen W M,
+``An Error Analysis of Goertzel's (Watt's) Method for Computing 
+Fourier Coefficients'' 
+Comput. J. 12 160--165. (1969) 
+\bibitem[Gen73]{Gen73}
+Gentleman W M, (1973) 
+``Least-squares Computations by Givens Transformations without Square Roots'' 
+J. Inst. Math. Applic. 12 329--336.
+\bibitem[Gen74]{Gen74}
+Gentleman W M,
+``Algorithm AS 75. Basic Procedures for Large Sparse or 
+Weighted Linear Least-squares Problems''
+Appl. Statist. 23 448--454. (1974) 
+\bibitem[GM74]{GM74}
+Gentleman W. M. and Marovich S. B., ``More on algorithms 
+that reveal properties of floating point arithmetic units''
+Comms. of the ACM, 17, 276-277.  (1974)
+\bibitem[GM80]{GM80}
+Genz A C and Malik A A, 
+``An Adaptive Algorithm for Numerical Integration over an N-dimensional 
+Rectangular Region'' (1980) 
+J. Comput. Appl. Math. 6 295--302.
+\bibitem[GM72]{GM72}
+Gill P E and Miller G F,
+``An Algorithm for the Integration of Unequally Spaced Data'' 
+Comput. J. 15 80--83. (1972) 
+\bibitem[GM74]{GM74}
+Gill P E and Murray W (eds) 
+``Numerical Methods for Constrained Optimization'' Academic Press. (1974) 
+\bibitem[GM76a]{GM76a}
+Gill P E and Murray W,
+``Minimization subject to bounds on the variables'' 
+Report NAC 72. National Physical Laboratory. (1976) 
+\bibitem[GM76b]{GM76b}
+Gill P E and Murray W, 
+``Algorithms for the Solution of the Nonlinear Least-squares Problem'' 
+NAC 71 National Physical Laboratory. (1976)
+\bibitem[GM78]{GM78}
+Gill P E and Murray W,
+``Algorithms for the Solution of the Nonlinear Least-squares Problem'' 
+SIAM J. Numer. Anal. 15 977--992. (1978) 
+\bibitem[GM79]{GM79}
+Gill P E and Murray W,
+``Conjugate-gradient Methods for Large-scale Nonlinear Optimization'' 
+Technical Report SOL 79-15. Department of Operations Research, 
+Stanford University. (1979) 
+\bibitem[GMW81]{GMW81}
+Gill P E, Murray W and Wright M H,
+``Practical Optimization'' 
+Academic Press. 1981
+\bibitem[GMW82]{GMW82}
+Gill P E, Murray W, Saunders M A and Wright M H,
+``The design and implementation of a quadratic programming algorithm'' 
+Report SOL 82-7. Department of Operations Research, 
+Stanford University. (1982) 
+\bibitem[GMSW84a]{GMSW84a}
+Gill P E, Murray W, Saunders M A and Wright M H,
+``User's Guide for SOL/QPSOL Version 3.2'' 
+Report SOL 84-5. Department of Operations Research, Stanford University. 1984
+\bibitem[GMSW84b]{GMSW84b}
+Gill P E, Murray W, Saunders M A and Wright M H,
+``Procedures for Optimization Problems with a Mixture of
+Bounds and General Linear Constraints'' 
+ACM Trans. Math. Softw. 10 282--298. 1984
+\bibitem[GMSW86a]{GMSW86a}
+Gill P E, Hammarling S, Murray W, Saunders M A and Wright M H, 
+``User's Guide for LSSOL (Version 1.0)'' 
+Report SOL 86-1. Department of Operations Research, Stanford University. 1986
+\bibitem[GMSW86b]{GMSW86b}
+Gill P E, Murray W, Saunders M A and Wright M H, 
+``Some Theoretical Properties of an Augmented Lagrangian Merit Function'' 
+Report SOL 86-6R. Department of Operations Research, Stanford University. 1986
+\bibitem[Gla79]{Gla79}
+Gladwell I,
+``Initial Value Routines in the NAG Library''
+ACM Trans Math Softw. 5 386--400. (1979) 
+\bibitem[GS80]{GS80}
+Gladwell I and Sayers D K
+``Computational Techniques for Ordinary Differential Equations''  
+Academic Press. 1980
+\bibitem[Gla86]{Gla86}
+Gladwell I,
+``Vectorisation of one dimensional quadrature codes'' 
+Techincal Report. TR7/86  NAG. (1986) 
+\bibitem[Gla87]{Gla87}
+Gladwell I,
+``The NAG Library Boundary Value Codes''
+Numerical Analysis Report. 134 Manchester University. (1987) 
 \bibitem[God40]{God40}
 Goedel, "The consistency of the continuum hypothesis",
 Ann. Math. Studies, Princeton Univ. Press, 1940
+\bibitem[GG90]{GG90}
+H. Gollan, J. Grabmeier, ``Algorithms in Representation Theory and
+their Realization in the Computer Algebra System Scratchpad''
+Bayreuther Mathematische Schriften, Heft 33, 1990, 1-23
 \bibitem[GL89]{GL89}
 Golub, Gene H. and Van Loan, Charles F.
 ``Matrix Computations''
@@ -1317,13 +1689,23 @@ Johns Hopkins University Press ISBN 0-8018-3772-3 (1989)
 Golub, Gene H. and Van Loan, Charles F.
 ``Matrix Computations''
 Johns Hopkins University Press ISBN 978-0-8018-5414-9 (1996)
+\bibitem[Grab]{Grab}
+J. Grabmeier, ``On Plesken's root finding algorithm'' in preparation
+\bibitem[GK87]{GK87}
+J. Grabmeier, A. Kerber: ``The Evaluation of Irreducible
+Polynomial Representations of the General Linear Groups
+and of the Unitary Groups over Fields of Characteristic 0''
+Acta Appl. Math. 8 (1987), 271-291
 \bibitem[REF-GS92]{REF-GS92}
 J. Grabmeier and A. Scheerhorn ``Finite fields in Axiom'' AXIOM Technical
 Report TR7/92 (ATR/5)(NP2522), Numerical Algorithms Group, Inc., Downer's
 Grove, IL, USA and Oxford, UK, 1992
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
-\bibitem[Ha1896]{Ha1896}
-Hathway, Arthur S., "A Primer Of Quaternions"  (1896)
+\bibitem[HL95]{HL95}
+Hach\'e, G. and Le Brigand, D.
+``Effective construction of algebraic geometry codes'' 
+IEEE Transaction on Information Theory, vol. 41, n27 6, 
+November 1995, pp. 1615--1628.
 \bibitem[Ha95]{Ha95}
 Hach\'e, G. ``Computation in algebraic function fields for effective 
 construction of algebraic-geometric codes'' 
@@ -1332,10 +1714,42 @@ Lecture Notes in Computer Science, vol. 948, 1995, pp. 262--278.
 Hach\'e, G. ``Construction effective des codes g\'eom\'etriques''
 Th\'ese de doctorat de l'Universit\'e Pierre et Marie Curie (Paris 6), 
 Septembre 1996.
+\bibitem[HW76]{HW76}
+Hall G and Watt J M (eds), 
+``Modern Numerical Methods for Ordinary Differential Equations'' 
+Clarendon Press. (1976)
 \bibitem[Ham04]{Ham04}
 Hamdy, S. ``LiDIA A library for computational number theory''
 Reference manual Edition 2.1.1 May 2004
 \verb|www.cdc.informatik.tu-darmstadt.de/TI/LiDIA|
+\bibitem[Ham85]{Ham85}
+Hammarling S,
+`` The Singular Value Decomposition in Multivariate Statistics'' 
+ACM Signum Newsletter. 20, 3 2--25. (1985) 
+\bibitem[HH67]{HH67}
+Hammersley J M and Handscomb D C, ``Monte-Carlo Methods'' Methuen. (1967)
+\bibitem[Ham62]{Ham62}
+Hamming R W, 
+``Numerical Methods for Scientists and Engineers'' McGraw-Hill. (1962)
+\bibitem[Ha1896]{Ha1896}
+Hathway, Arthur S., "A Primer Of Quaternions"  (1896)
+\bibitem[Hay70]{Hay70}
+Hayes J G,
+``Curve Fitting by Polynomials in One Variable'' 
+Numerical Approximation to Functions and Data. 
+(ed J G Hayes) Athlone Press, London. (1970) 
+\bibitem[Hay74]{Hay74}
+Hayes J G,
+``Numerical Methods for Curve and Surface Fitting'' 
+Bull Inst Math Appl. 10 144--152. (1974) 
+\bibitem[HH74]{HH74}
+Hayes J G and Halliday J,
+``The Least-squares Fitting of Cubic Spline Surfaces to General Data Sets''
+J. Inst. Math. Appl. 14 89--103. (1974) 
+\bibitem[Hen56]{Hen56}
+Peter Henrici, ``Automatic Computations with Power Series''
+Journal of the Association for Computing Machinery, Volume 3, No. 1,
+January 1956, 10-15
 \bibitem[Her1872]{Her1872}
 E. Hermite. Sur l'int\'{e}gration des fractions
 rationelles. {\sl Nouvelles Annales de Math\'{e}matiques}
@@ -1348,38 +1762,54 @@ SIAM Philadelphia, PA ISBN 0-89871-521-0 (2002)
 N.J. Higham, "FORTRAN codes for estimating the one-norm of a
 real or complex matrix, with applications to condition estimation", ACM
 Trans. Math. Soft., vol. 14, no. 4, pp. 381-396, December 1988.
+\bibitem[HS81]{HS81}
+Hock W and Schittkowski K, 
+``Test Examples for Nonlinear Programming Codes'' 
+Lecture Notes in Economics and Mathematical Systems. 187 Springer-Verlag. 1981
+\bibitem[Hou70]{Hou70}
+Householder A S, 
+``The Numerical Treatment of a Single Nonlinear Equation'' 
+McGraw-Hill. (1970)
+\bibitem[Hou81]{Hou81}
+Householder, Alston S. ``Principles of Numerical Analysis''
+Dover Publications, Mineola, NY ISBN 0-486-45312-X (1981)
 \bibitem[HI96]{HI96}
 Huang, M.D. and Ierardi, D.
 ``Efficient algorithms for Riemann-Roch problem and for addition in the 
 jacobian of a curve'' 
 Proceedings 32nd Annual Symposium on Foundations of Computer Sciences. 
 IEEE Comput. Soc. Press, pp. 678--687.
-\bibitem[HL95]{HL95}
-Hach\'e, G. and Le Brigand, D.
-``Effective construction of algebraic geometry codes'' 
-IEEE Transaction on Information Theory, vol. 41, n27 6, 
-November 1995, pp. 1615--1628.
-\bibitem[Hou81]{Hou81}
-Householder, Alston S. ``Principles of Numerical Analysis''
-Dover Publications, Mineola, NY ISBN 0-486-45312-X (1981)
 \bibitem[IBM]{IBM}
 SCRIPT Mathematical Formula Formatter User's Guide, SH20-6453,
 IBM Corporation, Publishing Systems Information Development,
 Dept. G68, P.O. Box 1900, Boulder, Colorado, USA 80301-9191.
+\bibitem[IT88]{IT88}
+T.Itoh, S.Tsujii, ``A fast algorithm for computing multiplicative inverses
+in $GF(2^m)$ using normal bases'' 
+Inf. and Comp. 78, pp.171-177, 1988
 \bibitem[Iya77]{Iya77}
 Shokichi Iyanaga and Yukiyosi Kawada Iyanaga
 ``Encyclopedic Dictionary of Mathematics'' 1977
 \bibitem[Jac68]{Jac68}
 N. Jacobson, ``Structure and Representations of Jordan Algebras''
 AMS, Colloquium Publications Volume 39
-\bibitem[JK
+\bibitem[JK81]{JK81}
 Gordon James and Adalbert Kerber
 ``The Representation Theory of the Symmetric Group''
 Encyclopedia of Mathematics and its Applications Vol. 16
 Addison-Wesley, 1981
+\bibitem[JS77]{JS77}
+Jaswon M A and Symm G T, 
+``Integral Equation Methods in Potential Theory and Elastostatics'' 
+Academic Press. (1977)
 \bibitem[Je04]{Je04}
 Jeffrey, Alan ``Handbook of Mathematical Formulas and Integrals''
 Third Edition, Elsevier Academic Press ISBN 0-12-382256-4
+\bibitem[Jen66]{Jen66}
+Jennings A, 
+``A Compact Storage Scheme for the Solution of Symmetric Linear 
+Simultaneous Equations'' 
+Comput. J. 9 281--285. (1966) 
 \bibitem[Kal91]{Kal91}
 M. Kalkbrener ``Three contributions to elimination theory''
 Ph. D. Thesis, University of Linz, Austria, 1991
@@ -1394,6 +1824,10 @@ Springer Verlag Heidelberg, 1989, ISBN 0-387-96980-2
 Kaufmann, Matt; Manolios, Panagiotis, and Moore J Strother 
 ``Computer-Aided Reasoning: An Approach'' Springer, July 31. 2000
 ISBN 0792377443
+\bibitem[Knu71]{Knu71}
+Donald Knuth ``The Art of Computer Programming'' 2nd edition Vol. 2
+(Seminumerical Algorithms) 1st edition, 2nd printing, 
+Addison-Wesley 1971, p. 397-398
 \bibitem[Knu84]{Knu84}
 Knuth, Donald, {\it The \TeX{}book} \\
 Reading, Massachusetts, Addison-Wesley Publishing Company, Inc., 
@@ -1408,28 +1842,59 @@ Kolchin, E.R. ``Differential Algebra and Algebraic Groups''
 \bibitem[Kou10]{Kou10}
 Christoph Koutschan "Axiom / FriCAS"
 \verb|www.risc.jku.at/education/courses/ws2010/cas/axiom.pdf|
+\bibitem[KL86]{KL86}
+Dexter Kozen and Susan Landau, ``Polynomial Decomposition Algorithms'' 
+Journal of Symbolic Computation (1989) 7, 445-456
 \bibitem[La86]{La86}
 Lamport, Leslie, 
 {\it LaTeX: A Document Preparation System,} \\
 Reading, Massachusetts, Addison-Wesley Publishing Company, Inc., 
 1986. ISBN 0-201-15790-X
+\bibitem[Lau71]{Lau71}
+Lautrup B, 
+``An Adaptive Multi-dimensional Integration Procedure'' 
+Proc. 2nd Coll. on Advanced Methods in Theoretical Physics, Marseille. (1971) 
+\bibitem[Law77]{Law77}
+Lawson C L, 
+``Software for C  Surface Interpolation''
+Mathematical Software III. (ed J R Rice) Academic Press. 161--194. (1977) 
+\bibitem[LH74]{LH74}
+Lawson C L and Hanson R J,
+``Solving Least-squares Problems'' 
+Prentice-Hall. (1974) 
 \bibitem[REF-LAW79]{REF-LAW79}
 Lawson, C.L., Hanson R.J., Kincaid, D.R., Krogh, F.T.
 ``Algorithm 539: Basic linear algebra subprograms for FORTRAN usage''
 ACM Transactions on Mathematical Software, Vol 5 No 3 September 1979
 pp 308-323
+\bibitem[LHKK79]{LHKK79}
+Lawson C L, Hanson R J, Kincaid D R and Krogh F T,
+``Basic Linear Algebra Subprograms for Fortran Usage'' 
+ACM Trans. Math. Softw. 5 308--325. (1979)
 \bibitem[Laz91]{Laz91}
 D. Lazard 
 ``A new method for solving algebraic systems of positive dimension'' 
 Discr. App. Math. 33:147-160,1991
-\bibitem[LR88]{LR88}
-Le Brigand, D. and Risler, J.J.
-``Algorithme de Brill-Noether et codes de Goppa''
-Bull. Soc. Math. France, vol. 116, 1988, pp. 231--253.
+\bibitem[Laz92]{Laz92}
+D. LAZARD ``Solving Zero-dimensional Algebraic Systems''
+Journal of Symbolic Computation, 1992, 13, 117-131
 \bibitem[LR90]{LR90}
 Daniel Lazard and Renaud Rioboo. ``Integration of rational
 functions: Rational computation of the logarithmic part'' 
 {\sl Journal of Symbolic Computation}, 9:113-116:1990
+\bibitem[LR88]{LR88}
+Le Brigand, D. and Risler, J.J.
+``Algorithme de Brill-Noether et codes de Goppa''
+Bull. Soc. Math. France, vol. 116, 1988, pp. 231--253.
+\bibitem[LS87]{LS87}
+Lenstra, H. W. \& Schoof, R. J., 
+``Primitivive Normal Bases for Finite Fields''
+Math. Comp. 48, 1987, pp. 217-231
+\bibitem[Lew77]{Lew77}
+Lewis J G,
+``Algorithms for sparse matrix eigenvalue problems'' 
+Technical Report STAN-CS-77-595. Computer Science Department, 
+Stanford University. (1977) 
 \bibitem[LN83]{LN83}
 R.Lidl, H.Niederreiter 
 ``Finite Field, Encycoldia of Mathematics and Its Applications'', 
@@ -1455,8 +1920,8 @@ Loetzsch, M. ``GTFL - A graphical terminal for Lisp''
 \bibitem[Los60]{Los60}
 L\"osch, Friedrich ``Tables of Higher Functions''
 McGraw-Hill Book Company 1960
-\bibitem[LTW10]{LTW10}
-Daly, Timothy "Lambda the Ultimate"
+\bibitem[LTU10]{LTU10}
+``Lambda the Ultimate''
 \verb|lambda-the-ultimate.org/node/3663#comment-62440|
 \bibitem[Luk169]{Luk169}
 Luke, Yudell L. ``The Special Functions and their Approximations'' Volume I
@@ -1464,15 +1929,41 @@ Academic Press (1969) Mathematics in Science and Engineering Volume 53-I
 \bibitem[Luk269]{Luk269}
 Luke, Yudell L. ``The Special Functions and their Approximations'' Volume II
 Academic Press (1969) Mathematics in Science and Engineering Volume 53-II
+\bibitem[Lyn83]{Lyn83}
+Lyness J N,
+``When not to use an automatic quadrature routine'' 
+SIAM Review. 25 63--87. (1983) 
 \bibitem[MB79]{MB79}
 Saunders Mac Lane and Garret Birkhoff ``Algebra''
 AMS Chelsea Publishing ISBN 0821816462
 \bibitem[Mal72]{Mal72}
 Malcolm M. A. (1972) Algorithms to reveal properties of 
 floating-point arithmetic. Comms. of the ACM, 15, 949-951. 
+\bibitem[MS76]{MS76}
+Malcolm M A and Simpson R B,
+``Local Versus Global Strategies for Adaptive Quadrature'' 
+ACM Trans. Math. Softw. 1 129--146. (1976) 
+\bibitem[Mar66]{Mar66}
+Marden M, 
+``Geometry of Polynomials'' 
+Mathematical Surveys. 3 Am. Math. Soc., Providence, RI. (1966)
 \bibitem[Mar07]{Mar07}
 Marshak, U. ``HT-AJAX - AJAX framework for Hunchentoot''
 \verb|common-lisp.net/project/ht-ajax/ht-ajax.html|
+\bibitem[Mig82]{Mig82}
+Maurice Mignotte, ``Some Useful Bounds''
+Computing, Suppl. 4, 259-263 (1982), Springer-Verlag
+\bibitem[McC83]{McC83}
+McCarthy G J, 
+``Investigation into the Multigrid Code MGD1'' 
+Report AERE-R 10889. Harwell. (1983)
+\bibitem[Min79]{Min79}
+Henryk Minc, ``Evaluation of Permanents''
+Proc. of the Edinburgh Math. Soc.(1979), 22/1 pp 27-32.
+\bibitem[MGH74]{MGH74}
+More J J, Garbow B S and Hillstrom K E, 
+``User Guide for Minpack-1'' 
+ANL-80-74 Argonne National Laboratory. (1974)
 \bibitem[Maz98]{Maz98}
 M. Moreno Maza ``A new algorithm for computing triangular
 decomposition of algebraic varieties'' NAG Tech. Rep. 4/98.
@@ -1490,10 +1981,45 @@ J. Res. Natl. Inst. Stand. Technol. (NIST) V102 No3 May-June 1997 pp363-365
 \bibitem[Mie00]{Mie00}
 Mielenz, Klaus D. ``Computation of Fresnel Integrals II'' 
 J. Res. Natl. Inst. Stand. Technol. (NIST) V105 No4 July-Aug 2000 pp589-590
+\bibitem[MS67]{MS67}
+Mikhlin S G and Smolitsky K L, 
+``Approximate Methods for the Solution of Differential and Integral Equations''
+Elsevier.  (1967)
+\bibitem[MG80]{MG80}
+Mitchell A R and Griffiths D F, 
+``The Finite Difference Method in Partial Differential Equations'' 
+Wiley. (1980)
+\bibitem[MS73]{MS73}
+Moler C B and Stewart G W,
+``An Algorithm for Generalized Matrix Eigenproblems'' 
+SIAM J. Numer. Anal. 10 241--256. 1973
 \bibitem[Mul97]{Mul97}
 Thom Mulders. ``A note on subresultants and a correction to
 the lazard/rioboo/trager formula in rational function integration'' 
 {\sl Journal of Symbolic Computation}, 24(1):45-50, 1997
+\bibitem[Mun80]{Mun80}
+Munksgaard N,
+``Solving Sparse Symmetric Sets of Linear Equations by Pre-conditioned 
+Conjugate Gradients'' 
+ACM Trans. Math. Softw. 6 206--219. (1980) 
+\bibitem[Mur72]{Mur72}
+Murray W, (ed)
+``Numerical Methods for Unconstrained Optimization'' Academic Press. (1972) 
+\bibitem[MS83]{MS83}
+Murtagh B A and Saunders M A,
+``MINOS 5.0 User's Guide''
+Report SOL 83-20. Department of Operations Research, Stanford University 1983
+\bibitem[Mus78]{Mus78}
+David R. Musser, ``On the Efficiency of a Polynomial Irreducibility Test''
+Journal of the ACM, Vol. 25, No. 2, April 1978, pp. 271-282
+\bibitem[NW78]{NW78}
+Nijenhuis and Wilf, ``Combinatorical Algorithms'' 
+Academic Press, New York 1978.
+\bibitem[Nik79]{Nik79}
+Nikolai P J
+``Algorithm 538: Eigenvectors and eigenvalues of real generalized 
+symmetric matrices by simultaneous iteration'' 
+ACM Trans. Math. Softw. 5 118--125. (1979) 
 \bibitem[NIST10]{NIST10}
 Olver, Frank W., Lozier, Daniel W., Boisvert, Ronald F., Clark, Charles W. (ed)
 ``NIST Handbook of Mathematical Functions'' (2010) Cambridge University
@@ -1501,14 +2027,35 @@ Press ISBN 978-0-521-19225-5
 \bibitem[OpenM]{OpenM}
 ``OpenMath Technical Overview''
 \verb|www.openmath.org/overview/technical.html|
+\bibitem[OR70]{OR70}
+Ortega J M and Rheinboldt W C, 
+``Iterative Solution of Nonlinear Equations in Several Variables'' 
+Academic Press. (1970)
 \bibitem[Ost1845]{Ost1845}
 M.W. Ostrogradsky. De l'int\'{e}gration des fractions
 rationelles. {\sl Bulletin de la Classe Physico-Math\'{e}matiques de
 l'Acae\'{e}mie Imp\'{e}riale des Sciences de St. P\'{e}tersbourg,}
 IV:145-167,286-300, 1845
-\bibitem[Pea56]{Pea56}
-Pearcey, T. ``Table of the Fresnel Integral''
-Cambridge University Press 1956
+\bibitem[PS75]{PS75}
+Paige C C and Saunders M A,
+``Solution of Sparse Indefinite Systems of Linear Equations'' 
+SIAM J. Numer. Anal. 12 617--629. (1975) 
+\bibitem[PS82a]{PS82a}
+Paige C C and Saunders M A,
+``LSQR: An Algorithm for Sparse Linear Equations and Sparse Least-squares'' 
+ACM Trans. Math. Softw. 8 43--71. (1982) 
+\bibitem[PS82b]{PS82b}
+Paige C C and Saunders M A,
+``ALGORITHM 583 LSQR: Sparse Linear Equations and Least-squares Problems'' 
+ACM Trans. Math. Softw. 8 195--209. (1982) 
+\bibitem[Par84]{Par84}
+R. A. Parker,
+``The Computer Calculation of Modular Characters (The Meat-Axe)''
+M. D. Atkinson (Ed.), Computational Group Theory
+Academic Press, Inc., London 1984
+\bibitem[Par80]{Par80}
+Parlett B N, ``The Symmetric Eigenvalue Problem''
+Prentice-Hall. 1980
 \bibitem[PJ10]{PJ10}
 Parnas, David Lorge and Jin, Ying
 ``Defining the meaning of tabular mathematical expressions''
@@ -1520,6 +2067,76 @@ Science of Computer Programming V25 No.1 Oct 1995 pp41-61 Elesevier
 \bibitem[Paul81]{Paul81}
 Richard Paul ``Robot Manipulators''
 MIT Press 1981
+\bibitem[Pea56]{Pea56}
+Pearcey, T. ``Table of the Fresnel Integral''
+Cambridge University Press 1956
+\bibitem[Per79]{Per79}
+Pereyra V,
+``PASVA3: An Adaptive Finite-Difference Fortran Program for First Order 
+Nonlinear, Ordinary Boundary Problems'' 
+Codes for Boundary Value Problems in Ordinary Differential Equations. 
+Lecture Notes in Computer Science.
+(ed B Childs, M Scott, J W Daniel, E Denman and P Nelson) 76
+Springer-Verlag.  (1979) 
+\bibitem[Pet67a]{Pet67a}
+Peters G, 
+``NPL Algorithms Library'' 
+Document No. F2/03/A. (1967)
+\bibitem[Pet67b]{Pet67b}
+Peters G,
+``NPL Algorithms Library'' 
+Document No.F1/04/A (1967) 
+\bibitem[PW70]{PW70}
+Peters G and Wilkinson J H,
+``The Least-squares Problem and Pseudo-inverses'' 
+Comput. J. 13 309--316. (1970) 
+\bibitem[PW71]{PW71}
+Peters G and Wilkinson J H, 
+``Practical Problems Arising in the Solution of Polynomial Equations'' 
+J. Inst. Maths Applics. 8 16--35. (1971)
+\bibitem[Pie82]{Pie82}
+R.S. Pierce: ``Associative Algebras''
+Graduate Texts in Mathematics 88
+Springer-Verlag,  Heidelberg, 1982, ISBN 0-387-90693-2
+\bibitem[Pie73]{Pie73}
+Piessens R,
+``An Algorithm for Automatic Integration''
+Angewandte Informatik. 15 399--401. (1973) 
+\bibitem[PMB74]{PMB74}
+Piessens R, Mertens I and Branders M
+``Integration of Functions having End-point Singularities'' 
+Angewandte Informatik. 16 65--68. (1974) 
+\bibitem[PB75]{PB75}
+Piessens R and Branders M,
+``Algorithm 002. Computation of Oscillating Integrals'' 
+J. Comput. Appl. Math. 1 153--164. (1975) 
+\bibitem[PVRBM76]{PVRBM76}
+Piessens R, Van Roy-Branders M and Mertens I,
+``The Automatic Evaluation of Cauchy Principal Value Integrals''
+Angewandte Informatik. 18 31--35. (1976) 
+\bibitem[PDUK83]{PDUK83}
+Piessens R, De Doncker-Kapenga E, Uberhuber C and Kahaner D
+``QUADPACK, A Subroutine Package for Automatic Integration'' 
+Springer-Verlag.(1983) 
+\bibitem[Pol37]{Pol37}
+G.Polya, ``Kombinatorische Anzahlbestimmungen fur Gruppen,
+Graphen und chemische Verbindungen'', 
+Acta Math. 68 (1937) 145-254.
+\bibitem[Pow70]{Pow70}
+Powell M J D, 
+``A Hybrid Method for Nonlinear Algebraic Equations'' 
+Numerical Methods for Nonlinear Algebraic Equations. 
+(ed P Rabinowitz) Gordon and Breach. (1970)
+\bibitem[Pow74]{Pow74}
+Powell M J D
+``Introduction to Constrained Optimization'' 
+Numerical Methods for Constrained Optimization. 
+(ed P E Gill and W Murray) Academic Press. pp1-28. 1974
+\bibitem[Pow83]{Pow83}
+Powell M J D,
+``Variable Metric Methods in Constrained Optimization'' 
+Mathematical Programming: The State of the Art. 
+(ed A Bachem, M Groetschel and B Korte) Springer-Verlag. pp288--311. 1983
 \bibitem[Pra73]{Pra73}
 Pratt, Vaughan R. ``Top down operator precedence''
 POPL '73 Proceedings of the 1st annual ACM SIGACT-SIGPLAN symposium on
@@ -1529,6 +2146,20 @@ Principles of programming languages
 Press, William H., Teukolsky, Saul A., Vetterling, William T., 
 Flannery, Brian P. ``Numerical Recipes in C''
 Cambridge University Press (1995) ISBN 0-521-43108-5
+\bibitem[PH77]{PH77}
+Pryce J D and Hargrave B A, 
+``The Scale Pruefer Method for one-parameter and multi-parameter eigenvalue 
+problems in ODEs'' 
+Inst. Math. Appl., Numerical Analysis Newsletter. 1(3)  (1977)
+\bibitem[Pry81]{Pry81}
+Pryce J D, 
+``Two codes for Sturm-Liouville problems''
+Technical Report CS-81-01. Dept of Computer Science, Bristol University (1981)
+\bibitem[Pry86]{Pry86}
+Pryce J D,
+``Error Estimation for Phase-function Shooting Methods for 
+Sturm-Liouville Problems'' 
+J. Num. Anal. 6 103--123. (1986)
 \bibitem[Pu09]{Pu09}
 Puffinware LLC ``Singular Value Decomposition (SVD) Tutorial'' 
 \verb|www.puffinwarellc.com/p3a.htm|
@@ -1536,9 +2167,33 @@ Puffinware LLC ``Singular Value Decomposition (SVD) Tutorial''
 Gregorio Quintana-Orti and Robert van de Geijn, "Improving the
 performance of reduction to Hessenberg form," ACM Transactions on
 Mathematical Software, 32(2):180-194, June 2006.
+\bibitem[Rab70]{Rab70}
+Rabinowitz P, 
+``Numerical Methods for Nonlinear Algebraic Equations'' 
+Gordon and Breach. (1970)
+\bibitem[Ral65]{Ral65}
+Ralston A,
+``A First Course in Numerical Analysis''
+McGraw-Hill. 87--90. (1965) 
 \bibitem[Ra03]{Ra03}
 Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for Literate Programming''
 \verb|www.eecs.harvard.edu/~nr/noweb|
+\bibitem[Red27]{Red27}
+J.H.Redfield, ``The Theory of Group-Reduced Distributions''
+American J. Math., 49 (1927) 433-455.
+\bibitem[Rei67]{Rei67}
+Reinsch C H,
+``Smoothing by Spline Functions'' 
+Num. Math. 10 177--183. (1967) 
+\bibitem[Ren84]{Ren84}
+Renka R L,
+``Algorithm 624: Triangulation and Interpolation of Arbitrarily Distributed 
+Points in the Plane'' 
+ACM Trans. Math. Softw. 10 440--442. (1984) 
+\bibitem[RC84]{RC84}
+Renka R L and Cline A K,
+``A Triangle-based C Interpolation Method'' 
+Rocky Mountain J. Math. 14 223--237. (1984) 
 \bibitem[Re93]{Re93}
 Christophe Reutenauer ``Free Lie Algebras''
 Oxford University Press, June 1993 ISBN 0198536798
@@ -1548,6 +2203,10 @@ Rich, Albert D. ``Rule-based Mathematics'' \verb|www.apmaths.uwo.ca/~arich|
 Richardson, Dan and Fitch, John
 ``The identity problem for elementary functions and constants''
 ACM Proc. of ISSAC 94 pp285-290 ISBN 0-89791-638-7
+\bibitem[RM67]{RM67}
+Richtmyer R D and Morton K W, 
+``Difference Methods for Initial-value Problems'' 
+Interscience (2nd Edition).  (1967)
 \bibitem[REF-Rio92]{REF-Rio92}
 R. Rioboo 
 ``Real algebraic closure of an ordered field, implementation in Axiom'' 
@@ -1584,9 +2243,34 @@ Maxwell Rosenlicht. Integration in finite terms.
 Michael Rothstein. ``A new algorithm for the integration of
 exponential and logarithmic functions'' In {\sl Proceedings of the 1977
 MACSYMA Users Conference}, pages 263-274. NASA Pub CP-2012, 1977
+\bibitem[Rut69]{Rut69}
+Rutishauser H,
+``Computational aspects of F L Bauer's simultaneous iteration method'' 
+Num. Math. 13 4--13.  (1969) 
+\bibitem[Rut70]{Rut70}
+Rutishauser H,
+``Simultaneous iteration method for symmetric matrices'' 
+Num. Math. 16 205--223. (1970) 
 \bibitem[Sch66]{Sch66}
 R.D. Schafer ``An Introduction to Nonassociative Algebras''
 Academic Press, New York, 1966
+\bibitem[SW53]{SW53}
+Schoenberg I J and Whitney A,
+``On Polya Frequency Functions III'' 
+Trans. Amer. Math. Soc. 74  246--259. (1953) 
+\bibitem[Sch82]{Sch82}
+A. Schoenhage, 
+``The fundamental theorem of algebra in terms of computational complexity'' 
+preliminary report, Univ. Tuebingen, 1982
+\bibitem[Sch76]{Sch76}
+Schonfelder J L, 
+``The Production of Special Function Routines for a Multi-Machine Library'' 
+Software Practice and Experience. 6(1) (1976)
+\bibitem[She68]{She68}
+Shepard D, 
+``A Two-dimensional Interpolation Function for Irregularly Spaced Data'' 
+Proc. 23rd Nat. Conf. ACM. Brandon/Systems Press Inc., 
+Princeton. 517--523. 1968
 \bibitem[Sims71]{Sims71}
 C. Sims ``Determining the Conjugacy Classes of a Permutation Group''
 Computers in Algebra and Number Theory, SIAM-AMS Proc., Vol. 4,
@@ -1594,31 +2278,97 @@ American Math. Soc., 1991, pp191-195
 \bibitem[Sit92]{Sit92}
 William Sit, ``An Algorithm for Parametric Linear Systems''
 J. Sym. Comp., April 1992
+\bibitem[Smi67]{Smi67}
+Smith B T, 
+``ZERPOL: A Zero Finding Algorithm for Polynomials Using Laguerre's Method'' 
+Technical Report. Department of Computer Science, University of Toronto,
+Canada.  (1967)
+\bibitem[Smi85]{Smi85}
+Smith G D, 
+``Numerical Solution of Partial Differential Equations: Finite Difference 
+Methods'' 
+Oxford University Press (3rd Edition). (1985)
+\bibitem[Sob74]{Sob74}
+Sobol I M, ``The Monte Carlo Method'' The University of Chicago Press. 1974
 \bibitem[Ste90]{Ste90}
 Steele, Guy L. ``Common Lisp The Language'' Second Edition
 ISBN 1-55558-041-6 Digital Press (1990)
 \bibitem[St93]{St93}
 Stichtenoth, H. ``Algebraic function fields and codes''
 Springer-Verlag, 1993, University Text.
+\bibitem[Sti90]{Sti90}
+D.R.Stinson, 
+``Some observations on parallel Algorithms for fast exponentiation 
+in $GF(2^n)$''Siam J. Comp., Vol.19, No.4, pp.711-717, August 1990
+\bibitem[SS66]{SS66}
+Stroud A H and Secrest D, 
+``Gaussian Quadrature Formulas'' 
+Prentice-Hall. (1966) 
+\bibitem[Str71]{Str71}
+Stroud A H, ``Approximate Calculation of Multiple Integrals'' 
+Prentice-Hall 1971
+\bibitem[SS79]{SS79}
+Swarztrauber P N and Sweet R A, 
+``Efficient Fortran Subprograms for the Solution of Separable Elliptic Partial
+Differential Equations'' 
+ACM Trans. Math. Softw. 5 352--364. (1979)
+\bibitem[SS84]{SS84}
+Swarztrauber P N, 
+``Fast Poisson Solvers'' 
+Studies in Numerical Analysis. (ed G H Golub) 
+Mathematical Association of America. (1984)
 \bibitem[Ta1890]{Ta1980}
 Tait, P.G.,{\it An Elementary Treatise on Quaternions} 
 C.J. Clay and Sons, Cambridge University Press Warehouse, Ave Maria Lane 1890
 \bibitem[Tai96]{Tai96}
 Taivalsaari, Antero ``On the Notion of Inheritance''
 ACM Computing Surveys, Vol 28 No 3 Sept 1996 pp438-479
+\bibitem[Tem87]{Tem87}
+Temme N M, 
+``On the Computation of the Incomplete Gamma Functions for Large Values of 
+the Parameters'' 
+Algorithms for Approximation. (ed J C Mason and M G Cox) 
+Oxford University Press. (1987)
+\bibitem[Tem83a]{Tem83a}
+Temperton C, 
+``Self-sorting Mixed-radix Fast Fourier Transforms'' 
+J. Comput. Phys. 52 1--23. (1983)
+\bibitem[Tem83b]{Tem83b}
+Temperton C, 
+``Fast Mixed-Radix Real Fourier Transforms''
+J. Comput. Phys. 52 340--350. (1983)
 \bibitem[Tr76]{Tr76}
 Trager, Barry ``Algebraic factoring and rational function integration''
 In {Proceedings of SYMSAC'76} pages 219-226, 1976
 \bibitem[Tr84]{Tr84}
 Trager Barry {\sl On the integration of algebraic functions}, 
 PhD thesis, MIT, Computer Science, 1984
+\bibitem[Unk61]{Unk61}
+Unknown ``Chebyshev-series'' Modern Computing Methods
+Chapter 8. NPL Notes on Applied Science (2nd Edition). 16 HMSO. 1961
+\bibitem[vDDR76]{vDDR76}
+Van Dooren P and De Ridder L,
+``An Adaptive Algorithm for Numerical Integration over an N-dimensional Cube''
+J. Comput. Appl. Math. 2 207--217. (1976) 
 \bibitem[vH94]{vH94}
 M. van Hoeij. ``An algorithm for computing an integral
 basis in an algebraic function field'' {\sl J. Symbolic Computation}
 18(4):353-364, October 1994
+\bibitem[Van92]{Van92}
+Van Loan C, 
+``Computational Frameworks for the Fast Fourier Transform'' 
+SIAM Philadelphia. (1992)
+\bibitem[WM85]{WM85}
+Wait R and Mitchell A R, 
+``Finite Element Analysis and Application'' 
+Wiley.  (1985)
 \bibitem[Wang92]{Wang92}
 D.M. Wang ``An implementation of the characteristic set method in Maple''
 Proc. DISCO'92 Bath, England
+\bibitem[War75]{War75}
+Ward R C,
+``The Combination Shift QZ Algorithm'' 
+SIAM J. Numer. Anal. 12 835--853. 1975
 \bibitem[Wa03]{Wa03}
 Watt, Stephen, ``Aldor'', \verb|www.aldor.org|
 \bibitem[We71]{We71}
@@ -1635,21 +2385,58 @@ Weitz, E. ``CL-WHO -Yet another Lisp markup language''
 Weitz, E. ``HUNCHENTOOT - The Common Lisp web server
 formerly known as TBNL''
 \verb|www.weitz.de/hunchentoot/|
-\bibitem[Wo09]{Wo09}
-Wolfram Research, \verb|mathworld.wolfram.com/Quaternion.html|
-\bibitem[WU87]{WU87}
-W.T. Wu ``A Zero Structure Theorem for polynomial equations solving''
-MM Research Preprints, 1987
-\bibitem[Yu76]{Yu76}
-D.Y.Y. Yun. ``On square-free decomposition algorithms''
-{\sl Proceedings of SYMSAC'76} pages 26-35, 1976
+\bibitem[Wes82a]{Wes82a}
+Wesseling P, 
+``MGD1 - A Robust and Efficient Multigrid Method'' 
+Multigrid Methods. Lecture Notes in Mathematics. 960
+Springer-Verlag. 614--630. (1982)
+\bibitem[Wes82a]{Wes82a}
+Wesseling P, 
+``Theoretical Aspects of a Multigrid Method'' 
+SIAM J. Sci. Statist. Comput. 3 387--407. (1982)
 \bibitem[Wiki3]{Wiki3}
 \verb|en.wikipedia.org/wiki/Givens_rotation|
+\bibitem[Wil85]{Wil85}
+S.G.Williamson, ``Combinatorics for Computer Science''
+Computer Science Press, 1985.
+\bibitem[WR71]{WR71}
+Wilkinson J H and Reinsch C, 
+``Handbook for Automatic Computation II, Linear Algebra'' 
+Springer-Verlag. 1971
+\bibitem[Wil63]{Wil63}
+Wilkinson J H, 
+``Rounding Errors in Algebraic Processes'' Chapter 2. HMSO. (1963)
+\bibitem[Wil65]{Wil65}
+Wilkinson J H, 
+``The Algebraic Eigenvalue Problem'' Oxford University Press. (1965) 
+\bibitem[Wil78]{Wil78}
+Wilkinson J H,
+``Singular Value Decomposition -- Basic Aspects'' 
+Numerical Software -- Needs and Availability. 
+(ed D A H Jacobs) Academic Press. (1978) 
+\bibitem[Wil79]{Wil79}
+Wilkinson J H,
+``Kronecker's Canonical Form and the QZ Algorithm'' 
+Linear Algebra and Appl. 28 285--303. 1979
 \bibitem[Wis91]{Wis91}
 R. Wisbauer, ``Bimodule Structure of Algebra''
 Lecture Notes Univ. Duesseldorf 1991
 \bibitem[Woe80]{Woe80}
 A. Woerz-Busekros: ``Algebra in Genetics''
 Lectures Notes in Biomathematics 36, Springer-Verlag,  Heidelberg, 1980
+\bibitem[Wol67]{Wol67}
+Wolberg J R, ``Prediction Analysis'' Van Nostrand. (1967)
+\bibitem[Wo09]{Wo09}
+Wolfram Research, \verb|mathworld.wolfram.com/Quaternion.html|
+\bibitem[WU87]{WU87}
+W.T. Wu ``A Zero Structure Theorem for polynomial equations solving''
+MM Research Preprints, 1987
+\bibitem[Wynn56]{Wynn56}
+Wynn P (1956) 
+``On a Device for Computing the $e_m(S_n )$ Transformation'' 
+Math. Tables Aids Comput. 10 91--96.
+\bibitem[Yu76]{Yu76}
+D.Y.Y. Yun. ``On square-free decomposition algorithms''
+{\sl Proceedings of SYMSAC'76} pages 26-35, 1976
 \end{thebibliography}
 \end{document}
diff --git a/changelog b/changelog
index fd83e1b..b5c70a9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130305 tpd src/axiom-website/patches.html 20130305.01.tpd.patch
+20120305 tpd books/bookvolbib add references
 20130301 tpd src/axiom-website/patches.html 20130301.01.tpd.patch
 20130301 tpd books/bookvol10.3 write help documentation for all domains
 20130229 tpd src/axiom-website/patches.html 20130229.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d941051..86b2e2c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4003,5 +4003,7 @@ books/bookvol10.2 write help documentation for all categories
 books/bookvolbib add references
 <a href="patches/20130301.01.tpd.patch">20130301.01.tpd.patch</a>
 books/bookvol10.3 write help documentation for all domains
+<a href="patches/20130305.01.tpd.patch">20130305.01.tpd.patch</a>
+books/bookvolbib add references
  </body>
 </html>
